<template>
  <l-marker :key="marker.id" :lat-lng="marker.coordinates" :draggable="draggable" @dragend="$emit('dragend',$event)">
    <l-icon
      :icon-url="
        `https://raw.githubusercontent.com/pointhi/leaflet-color-markers/master/img/marker-icon-2x-${marker.color}.png`
      "
      :popupAnchor="[1, -34]"
    />
    <l-popup>{{ marker.popup }}</l-popup>
  </l-marker>
</template>

<script>
import { LIcon, LMarker, LPopup } from "vue2-leaflet";
import { Icon } from "leaflet";

delete Icon.Default.prototype._getIconUrl;
Icon.Default.mergeOptions({
  iconRetinaUrl: require("leaflet/dist/images/marker-icon-2x.png"),
  shadowUrl: require("leaflet/dist/images/marker-shadow.png")
});

export default {
  name: "LMarkers",
  components: { LIcon, LMarker, LPopup },
  props: {
    marker: {
      type: Object,
      required: true
    },
    draggable: {
      type: Boolean,
      default: false
    },
  }
};
</script>
